<?php
/**
 * @name		Mobile Menu CK
 * @copyright	Copyright (C) 2017. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */

// No direct access.
defined('_JEXEC') or die;

use Mobilemenuck\CKController;
use Mobilemenuck\CKFof;

class MobilemenuckControllerStyles extends CKController {

	function __construct() {
		parent::__construct();
	}

	public function import() {
		$app = JFactory::getApplication();
		if ($importClass = MobilemenuckHelper::getParams('import')) {
			$importClass->importFile();
		} else {
			$msg = JText::_('CK_MOBILEMENUCK_PARAMS_NOT_FOUND');
			$app->redirect("index.php?option=com_mobilemenuck&view=pages", $msg, 'error');
			return false;
		}
	}

	public function export() {
		$app = JFactory::getApplication();
		if ($exportClass = MobilemenuckHelper::getParams('export')) {
			$exportClass->exportFile();
		} else {
			$msg = JText::_('CK_MOBILEMENUCK_PARAMS_NOT_FOUND');
			$app->redirect("index.php?option=com_mobilemenuck&view=pages", $msg, 'error');
			return false;
		}
	}
}